<template>
  <el-drawer v-model="keShiFeiYongDrawer" @closed="emit('close')">
    <el-table :data="feiYongData">
      <el-table-column label="科室" prop="execUnitName"></el-table-column>
      <el-table-column label="费用" prop="chargeFee"></el-table-column>
      <el-table-column label="数量" prop="chargeAmount"></el-table-column>
    </el-table>
  </el-drawer>
</template>

<script setup name="KeShiFeiYong">
import { getHuanZheFeiYong } from '../../api/medical-insurance/si-setl-upload'
const props = defineProps({
  patNo: {
    type: String,
  },
  times: {
    type: Number,
  },
})

const emit = defineEmits(['close'])

const keShiFeiYongDrawer = ref(false)
const feiYongData = ref([])

onMounted(() => {
  getHuanZheFeiYong(props.patNo, props.times).then((res) => {
    feiYongData.value = res
    keShiFeiYongDrawer.value = true
  })
})
</script>

<style scoped></style>
